OpenTTD Source: SlGamelogRevision Class Reference

OpenTTD Source 15.0-RC2

Public Member Functions | Static Public Attributes
SlGamelogRevision Class Reference
Inheritance diagram for SlGamelogRevision:

## Public Member Functions
void | Save (LoggedChange *lc) const override
void | Load (LoggedChange *lc) const override
void | LoadCheck (LoggedChange *lc) const override
Public Member Functions inherited from DefaultSaveLoadHandler< SlGamelogRevision, LoggedChange >
SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.
void | Save (void *object) const override
| Save the object to disk.
void | Load (void *object) const override
| Load the object from disk.
void | LoadCheck (void *object) const override
| Similar to load, but used only to validate savegames.
virtual void | FixPointers (LoggedChange *object) const
void | FixPointers (void *object) const override
| A post-load callback to fix SL_REF integers into pointers.
Public Member Functions inherited from SaveLoadHandler
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk.

## Static Public Attributes
static const size_t | GAMELOG_REVISION_LENGTH = 15
static char | revision_text [GAMELOG_REVISION_LENGTH]
static const SaveLoad | description []
static const SaveLoadCompatTable | compat_description = _gamelog_revision_sl_compat

## Additional Inherited Members
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description

## Detailed Description

Definition at line 45 of file gamelog_sl.cpp.

## Member Function Documentation

## ◆ Load()

void SlGamelogRevision::Load | ( | LoggedChange * | lc | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlGamelogRevision, LoggedChange >.

Definition at line 65 of file gamelog_sl.cpp.

## ◆ LoadCheck()

void SlGamelogRevision::LoadCheck | ( | LoggedChange * | lc | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlGamelogRevision, LoggedChange >.

Definition at line 75 of file gamelog_sl.cpp.

## ◆ Save()

void SlGamelogRevision::Save | ( | LoggedChange * | lc | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlGamelogRevision, LoggedChange >.

Definition at line 59 of file gamelog_sl.cpp.

## Field Documentation

## ◆ compat_description

const SaveLoadCompatTable SlGamelogRevision::compat_description = _gamelog_revision_sl_compat
| inlinestatic

Definition at line 57 of file gamelog_sl.cpp.

## ◆ description

const SaveLoad SlGamelogRevision::description[]
| inlinestatic

Initial value:
= {
SLEG_CONDARR("revision.text", SlGamelogRevision::revision_text, SLE_UINT8, GAMELOG_REVISION_LENGTH, SL_MIN_VERSION, SLV_STRING_GAMELOG),
SLE_CONDSSTRNAME(LoggedChangeRevision, text, "revision.text", SLE_STR, SLV_STRING_GAMELOG, SL_MAX_VERSION),
SLE_VARNAME(LoggedChangeRevision, newgrf, "revision.newgrf", SLE_UINT32),
SLE_VARNAME(LoggedChangeRevision, slver, "revision.slver", SLE_UINT16),
SLE_VARNAME(LoggedChangeRevision, modified, "revision.modified", SLE_UINT8),
}
SLEG_CONDARR
#define SLEG_CONDARR(name, variable, type, length, from, to)
Storage of a global fixed-size array of SL_VAR elements in some savegame versions.
Definition saveload.h:1145
SLE_CONDSSTRNAME
#define SLE_CONDSSTRNAME(base, variable, name, type, from, to)
Storage of a std::string in some savegame versions.
Definition saveload.h:959
SLE_VARNAME
#define SLE_VARNAME(base, variable, name, type)
Storage of a variable in every version of a savegame.
Definition saveload.h:1026
SL_MAX_VERSION
@ SL_MAX_VERSION
Highest possible saveload version.
Definition saveload.h:416
SL_MIN_VERSION
@ SL_MIN_VERSION
First savegame version.
Definition saveload.h:31
SLV_STRING_GAMELOG
@ SLV_STRING_GAMELOG
314 PR#10801 Use std::string in gamelog.
Definition saveload.h:356
LoggedChangeRevision
Definition gamelog_internal.h:50

Definition at line 50 of file gamelog_sl.cpp.

## ◆ GAMELOG_REVISION_LENGTH

const size_t SlGamelogRevision::GAMELOG_REVISION_LENGTH = 15
| static

Definition at line 47 of file gamelog_sl.cpp.

## ◆ revision_text

char SlGamelogRevision::revision_text
| static

Definition at line 48 of file gamelog_sl.cpp.

The documentation for this class was generated from the following file:

- src/saveload/gamelog_sl.cpp